#ifndef VGS_PROCTOOLS_SHELLPROCESS_H
#define VGS_PROCTOOLS_SHELLPROCESS_H

#include "process.h"
#include <string>
#include <sys/types.h>

namespace proctools 
{

	class shellprocess: public process
	{
	public:
		shellprocess(const std::string& name, const std::string& command);

	protected:
		virtual std::string info(pid_t pid);
		virtual int run(void);

	private:
		std::string m_command;
	};

};

#endif // VGS_PROCTOOLS_SHELLPROCESS_H
